## lxqt-runner 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-runner)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

include(CMakeDependentOption)
include(GNUInstallDirs)

option(RUNNER_MATH "Math operations support" ON)
option(RUNNER_VBOX "Virtual Box support" ON)
option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(USE_MENU_CACHE "Use libmenu-cache from LXDE to generate the app menu" OFF)
cmake_dependent_option(RUNNER_VBOX_HEADLESS
    "Use headless mode instead of default window" OFF
    "RUNNER_VBOX" OFF
)

# Minimum Versions
set(KF5_MINIMUM_VERSION "5.36.0")
set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
set(LXQT_MINIMUM_VERSION "1.2.0")
set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.2.0")
set(QT_MINIMUM_VERSION "5.15.0")

find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION}")

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Patch Version
set(LXQT_RUNNER_PATCH_VERSION 0)
set(LXQT_RUNNER_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_RUNNER_PATCH_VERSION})
add_definitions(
    "-DLXQT_RUNNER_VERSION=\"${LXQT_RUNNER_VERSION}\""
)

set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml)

if (USE_MENU_CACHE OR RUNNER_MATH)
    find_package(PkgConfig REQUIRED)
endif ()

if (USE_MENU_CACHE)
    # optionally use libmenu-cache from lxde to generate the application menu
    find_package(MenuCache "${LIBMENUCACHE_MINIMUM_VERSION}" REQUIRED)
endif()

if (RUNNER_MATH)
    pkg_check_modules(MUPARSER REQUIRED muparser)
endif ()

set(lxqt-runner_H_FILES
    dialog.h
    commanditemmodel.h
    widgets.h
    providers.h
    yamlparser.h
    configuredialog/configuredialog.h
)

set(lxqt-runner_CPP_FILES
    main.cpp
    dialog.cpp
    commanditemmodel.cpp
    widgets.cpp
    providers.cpp
    yamlparser.cpp
    configuredialog/configuredialog.cpp
)

set(lxqt-runner_UI_FILES
    dialog.ui
    configuredialog/configuredialog.ui
)

set(lxqt-runner_LIBRARIES
    lxqt
    lxqt-globalkeys
    lxqt-globalkeys-ui
    ${MENUCACHE_LIBRARIES}
    ${QTX_LIBRARIES}
    ${MUPARSER_LDFLAGS}
)

include(LXQtTranslate)

lxqt_translate_ts(lxqt-runner_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lxqt-runner_H_FILES}
        ${lxqt-runner_CPP_FILES}
        ${lxqt-runner_UI_FILES}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(lxqt-runner_QM_LOADER ${PROJECT_NAME})

if (RUNNER_VBOX)
    list(APPEND QRC_FILES virtualbox-icons.qrc)
endif()

add_executable(${PROJECT_NAME}
    ${lxqt-runner_CPP_FILES}
    ${lxqt-runner_QRC_SOURCES}
    ${lxqt-runner_QM_FILES}
    ${lxqt-runner_QM_LOADER}
)

if (RUNNER_MATH)
    lxqt_enable_target_exceptions("${PROJECT_NAME}" PRIVATE)
endif ()

target_include_directories(${PROJECT_NAME}
    PRIVATE "$<$<BOOL:${MENUCACHE_FOUND}>:${MENUCACHE_INCLUDE_DIRS}>"
    PRIVATE "$<$<BOOL:${MUPARSER_FOUND}>:${MUPARSER_INCLUDE_DIRS}>"
)

target_compile_definitions(${PROJECT_NAME}
    PRIVATE "$<$<BOOL:${RUNNER_MATH}>:MATH_ENABLED>"
    PRIVATE "$<$<BOOL:${RUNNER_VBOX}>:VBOX_ENABLED>"
    PRIVATE "$<$<BOOL:${RUNNER_VBOX_HEADLESS}>:VBOX_HEADLESS_ENABLED>"
    PRIVATE "$<$<BOOL:${MENUCACHE_FOUND}>:HAVE_MENU_CACHE=1>"
)

target_link_libraries(${PROJECT_NAME}
    ${lxqt-runner_LIBRARIES}
    KF5::WindowSystem
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

install(FILES
    man/lxqt-runner.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

add_subdirectory(autostart)

=== debian/changelog ===
lxqt-runner (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1.
    * Add Rules-Requires-Root: no
  * Bump compat to 13.
    * Remove unnecessary -Wl,--as-needed in d/rules
    * Remove unnecessary --fail-missing in d/rules
  * Update d/copyright.
  * Update d/watch for GitHub.
  * Fix d/upstream/metadata.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Dec 2022 14:03:05 +0800

lxqt-runner (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 20 Nov 2022 18:20:07 +0800

=== debian/control ===
Source: lxqt-runner
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.2.0~),
               liblxqt-globalkeys1-dev (>= 1.2.0~),
               liblxqt-globalkeys-ui1-dev (>= 1.2.0~),
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
Homepage: https://github.com/lxqt/lxqt-runner
Rules-Requires-Root: no

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-runner-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
            lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt program launcher
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contain LXQt runner.

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-runner
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contains the l10n files needed by the lxqt-runner.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DUSE_MENU_CACHE=OFF \
                -DRUNNER_MATH=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-runner 1.2.0+dfsg

=== debian/changelog ===
lxqt-runner (1.2.0+dfsg-1ubuntu1) lunar; urgency=medium

  * Revert a sync from Debian.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Added 'Rules-Requires-Root: no' to debian/control.
  * Removed obsolete '-Wl,--as-needed' linker flag.
  * Removed obsolete 'override_dh_missing' section from debian/control.
  * Updated copyright file.
  * Repacked the upstream tarball to replace Adobe's proprietary ICC profile
    with GIMP's public domain one. Affected files are
    vbox-icons/state_running_16px.png and vbox-icons/vrdp_16px.png.
  * Removed trailing whitespace from changelog.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 21 Feb 2023 14:29:40 -0600

lxqt-runner (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Bump build dependencies in debian/control.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Remove reverse-applicable upstream patches.
  * Less Rs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 22:12:50 -0600

lxqt-runner (1.1.0-0ubuntu2) kinetic; urgency=medium

  * Backport upstream patches:
    - https://github.com/lxqt/lxqt-runner/pull/221
    - Force correct position after move from outside
      + https://github.com/lxqt/lxqt-runner/commit/703db2
    - Listen to KwindowSystem signals only when shown
      + https://github.com/lxqt/lxqt-runner/commit/88a4d2

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Jun 2022 14:27:52 -0400

lxqt-runner (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bumped build dependencies.
  * Drop old Breaks/Replaces since we're past the LTS. Update the
    runtime dependencies too.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jun 2022 12:43:41 -0500

=== debian/control ===
Source: lxqt-runner
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt-globalkeys-ui1-dev (>= 1.2.0),
               liblxqt-globalkeys1-dev (>= 1.2.0),
               liblxqt1-dev (>= 1.2.0),
               libmuparser-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-runner-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-runner-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
Homepage: https://github.com/lxqt/lxqt-runner
Rules-Requires-Root: no

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit, lxqt-qtplugin, lxqt-runner-l10n, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt program launcher
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contain LXQt runner.

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-runner
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contains the l10n files needed by the lxqt-runner.

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DPULL_TRANSLATIONS=OFF \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DUSE_MENU_CACHE=OFF \
                 -DRUNNER_MATH=ON \

## lxqt-runner 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,8 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "1.2.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -112,7 +112,7 @@
 lxqt_app_translation_loader(lxqt-runner_QM_LOADER ${PROJECT_NAME})
 
 if (RUNNER_VBOX)
-    list(APPEND QRC_FILES virtualbox-icons.qrc)
+    list(APPEND lxqt-runner_QRC_SOURCES virtualbox-icons.qrc)
 endif()
 
 add_executable(${PROJECT_NAME}

=== debian/changelog ===
lxqt-runner (1.3.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 16:13:44 -0700

lxqt-runner (1.3.0-0.1~S7) unstable; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sun, 21 May 2023 13:21:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lxqt-runner
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -8,18 +8,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt-globalkeys-ui1-dev (>= 1.2.0),
-               liblxqt-globalkeys1-dev (>= 1.2.0),
-               liblxqt1-dev (>= 1.2.0),
+               liblxqt-globalkeys-ui1-dev (>= 1.3.0~),
+               liblxqt-globalkeys1-dev (>= 1.3.0~),
+               liblxqt1-dev (>= 1.3.0~),
                libmuparser-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.6.2
-Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-runner-packaging
-Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-runner-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
+Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
 Homepage: https://github.com/lxqt/lxqt-runner
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,11 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DPULL_TRANSLATIONS=OFF \
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DUSE_MENU_CACHE=OFF \
                 -DRUNNER_MATH=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## lxqt-runner 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,10 @@
 )
 
 # Minimum Versions
-set(KF5_MINIMUM_VERSION "5.36.0")
+set(KF5_MINIMUM_VERSION "5.101.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "1.3.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.3.0")
+set(LXQT_MINIMUM_VERSION "1.4.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-runner (1.4.0-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:45:36 +0200

lxqt-runner (1.4.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:15:07 +0000

lxqt-runner (1.4.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:49:30 +0000

lxqt-runner (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Fix copyright file.
  * Bump build dependency versions.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Mon, 13 Nov 2023 14:59:58 -0600

lxqt-runner (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Remove redundant hardening rule.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * I guess we don't require root to build, do we?
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 12:50:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lxqt-runner
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -8,18 +8,20 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt-globalkeys-ui1-dev (>= 1.3.0~),
-               liblxqt-globalkeys1-dev (>= 1.3.0~),
-               liblxqt1-dev (>= 1.3.0~),
+               liblxqt-globalkeys-ui1-dev (>= 1.4.0),
+               liblxqt-globalkeys1-dev (>= 1.4.0),
+               liblxqt1-dev (>= 1.4.0),
                libmuparser-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-runner-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-runner-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
+Rules-Requires-Root: no
 Homepage: https://github.com/lxqt/lxqt-runner
-Rules-Requires-Root: no
 
 Package: lxqt-runner
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DUSE_MENU_CACHE=OFF \
                -DRUNNER_MATH=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-runner 2.0.0

=== debian/changelog ===
lxqt-runner (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:29:58 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,17 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libkf5windowsystem-dev,
-               liblxqt-globalkeys-ui1-dev (>= 1.4.0),
-               liblxqt-globalkeys1-dev (>= 1.4.0),
-               liblxqt1-dev (>= 1.4.0),
+               layer-shell-qt,
+               libkf6windowsystem-dev,
+               liblayershellqtinterface-dev,
+               liblxqt-globalkeys-ui2-dev (>= 2.0.0),
+               liblxqt-globalkeys2-dev (>= 2.0.0),
+               liblxqt2-dev (>= 2.0.0),
                libmuparser-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
-               libx11-dev
-Standards-Version: 4.6.2
+               libx11-dev,
+               qt6-svg-dev,
+               qt6-wayland-dev
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-runner-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-runner-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
@@ -38,7 +40,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: qt6-translations-l10n, ${misc:Depends}
 Description: Language package for lxqt-runner
  The LXQt runner provides a GUI that comes up on the desktop and allows for
  launching applications, doing some math or shutting down the system.

## lxqt-runner 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -25,19 +25,21 @@
 )
 
 # Minimum Versions
-set(KF5_MINIMUM_VERSION "5.101.0")
+set(KF6_MINIMUM_VERSION "6.0.0")
 set(LIBMENUCACHE_MINIMUM_VERSION "1.1.0")
-set(LXQT_MINIMUM_VERSION "1.4.0")
-set(LXQT_GLOBALKEYS_MINIMUM_VERSION "1.4.0")
-set(QT_MINIMUM_VERSION "5.15.0")
+set(LXQT_MINIMUM_VERSION "2.1.0")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "2.1.0")
+set(QT_MINIMUM_VERSION "6.6.0")
+set(SHELLQT_MINIMUM_VERSION "6.0.0")
 
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Xml ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Xml ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(KF6WindowSystem ${KF6_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION}")
+find_package(LayerShellQt ${SHELLQT_MINIMUM_VERSION} REQUIRED)
+message(STATUS "Building with Qt${Qt6Core_VERSION}")
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
@@ -49,7 +51,7 @@
     "-DLXQT_RUNNER_VERSION=\"${LXQT_RUNNER_VERSION}\""
 )
 
-set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml)
+set(QTX_LIBRARIES Qt6::Widgets Qt6::Xml)
 
 if (USE_MENU_CACHE OR RUNNER_MATH)
     find_package(PkgConfig REQUIRED)
@@ -140,7 +142,8 @@
 
 target_link_libraries(${PROJECT_NAME}
     ${lxqt-runner_LIBRARIES}
-    KF5::WindowSystem
+    KF6::WindowSystem
+    LayerShellQtInterface
 )
 
 install(TARGETS

=== debian/changelog ===
lxqt-runner (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * build-deps on liblayershellqtinterface-dev (>= 6.2.4~).
  * build-deps on liblxqt-dev (>= 2.1.0~).
  * build-deps on liblxqt-globalkeys-dev (>= 2.1.0~).
  * build-deps on liblxqt-globalkeys-ui-dev (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Fri, 06 Dec 2024 14:48:34 +0100

lxqt-runner (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * debian/control: drop build-deps on libxkbcommon-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 20:43:12 +0100

lxqt-runner (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.0.0
  * Clean up of group membership after 2nd calls.
  * debian/control: build-deps on libkf6windowsystem-dev.
  * debian/control: build-deps on liblxqt-dev (>= 2.0.0~).
  * debian/control: build-deps on liblxqt-globalkeys-dev (>= 2.0.0~).
  * debian/control: build-deps on liblxqt-globalkeys-ui-dev (>= 2.0.0~).
  * debian/control: drop build-deps on libqt5x11extras5-dev.
  * debian/control: drop build-deps on qt6-tools-dev.
  * debian/control: depends on qt6-translations-l10n.
  * debian/copyright: update.
  * debian/control: build-deps on libxkbcommon-dev.
  * debian/control: build-deps on liblayershellqtinterface-dev (>=
    6.0.0~).
  * debian/salsa-ci.yml: build against to experimental.
  * debian/control: build-deps on libglib2.0-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 02 Oct 2024 11:52:10 +0200

lxqt-runner (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078302)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Tue, 10 Sep 2024 20:42:57 +0800

lxqt-runner (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0.
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/control: build-deps on liblxqt-globalkeys1-dev (>= 1.4.0~).
  * debian/control: build-deps on liblxqt-globalkeys-ui1-dev (>= 1.4.0~).
  * debian/rules: suppress blhc error by added ignore-line-regexp.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 11 Dec 2023 17:36:03 +0100

lxqt-runner (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on liblxqt1-dev (>= 1.3.0~)
  * debian/control: build-deps on liblxqt-globalkeys1-dev (>= 1.3.0~).
  * debian/control: build-deps on liblxqt-globalkeys-ui1-dev (>= 1.3.0~).
  * debian/control: clean up build-deps.
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.
  * debian/upstream/metadata: drop empty line.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 02 Jul 2023 08:33:10 +0200

=== debian/control ===
Source: lxqt-runner
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Macy Lin <macy@debconf.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev,
               libglib2.0-dev,
               liblayershellqtinterface-dev (>= 6.2.4~),
               liblxqt-dev (>= 2.1.0~),
               liblxqt-globalkeys-dev (>= 2.1.0~),
               liblxqt-globalkeys-ui-dev (>= 2.1.0~),
               libmuparser-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
Homepage: https://github.com/lxqt/lxqt-runner
Rules-Requires-Root: no

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-runner-l10n,
            lxqt-policykit,
            lxqt-qtplugin,
            lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt program launcher
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contain LXQt runner.

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qt6-translations-l10n
Description: Language package for lxqt-runner
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contains the l10n files needed by the lxqt-runner.

## lxqt-runner 2.1.1

=== debian/changelog ===
lxqt-runner (2.1.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Jan 2025 16:55:28 -0600

lxqt-runner (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:33:10 -0600

## lxqt-runner 2.1.2

=== debian/changelog ===
lxqt-runner (2.1.2-1) unstable; urgency=medium

  [ Macy Lin ]
  * New upstream version 2.1.2

  [ Andrew Lee (李健秋) ]
  * Run wrap-and-sort.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Mar 2025 15:18:52 +0100

=== debian/control ===
Source: lxqt-runner
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libkf6windowsystem-dev,
               liblayershellqtinterface-dev (>= 6.0.0~),
               liblxqt-dev (>= 2.1.0~),
               liblxqt-globalkeys-dev (>= 2.1.0~),
               liblxqt-globalkeys-ui-dev (>= 2.1.0~),
               libmuparser-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
Homepage: https://github.com/lxqt/lxqt-runner
Rules-Requires-Root: no

Package: lxqt-runner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-policykit, lxqt-qtplugin, lxqt-runner-l10n, lxqt-session
Suggests: lxqt | lxqt-core
Description: LXQt program launcher
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contain LXQt runner.

Package: lxqt-runner-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-runner
 The LXQt runner provides a GUI that comes up on the desktop and allows for
 launching applications, doing some math or shutting down the system.
 .
 This package contains the l10n files needed by the lxqt-runner.

## lxqt-runner 2.2.0

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
    USE_YAML
)
add_custom_target(lxq_runner_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== translations/CMakeLists.txt ===
project(lxqt-runner)

build_component("." "")

=== debian/changelog ===
lxqt-runner (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0 (Closes: #1097340)
  * d/control: Bump Standards-Version to 4.7.2.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 14 Aug 2025 23:00:55 +0800

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libglib2.0-dev,
                libkf6windowsystem-dev,
                liblayershellqtinterface-dev (>= 6.0.0~),
-               liblxqt-dev (>= 2.1.0~),
-               liblxqt-globalkeys-dev (>= 2.1.0~),
-               liblxqt-globalkeys-ui-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
+               liblxqt-globalkeys-dev (>= 2.2.0~),
+               liblxqt-globalkeys-ui-dev (>= 2.2.0~),
                libmuparser-dev,
                qt6-tools-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
 Homepage: https://github.com/lxqt/lxqt-runner

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DUSE_MENU_CACHE=OFF \
                -DRUNNER_MATH=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI[.]cpp.*"

## lxqt-runner 2.3.0

=== debian/changelog ===
lxqt-runner (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream version 2.3.0.
  * d/control: Update Build-Depends.
  * d/control: Bump Standards-Version to 4.7.3:
    * Remove unnecessary Priority, Rules-Required-Root.
  * d/copyright: Update copyright.
  * d/watch: Upgrade to version 5.

  [ Joel Orón Valiente ]
  * debian/gbp.conf: Drop compression so salsa CI can build.
  * debian/copyright: Add myself.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 06 Jan 2026 08:02:44 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libglib2.0-dev,
                libkf6windowsystem-dev,
@@ -13,11 +12,10 @@
                liblxqt-globalkeys-ui-dev (>= 2.2.0~),
                libmuparser-dev,
                qt6-tools-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-runner
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-runner.git
 Homepage: https://github.com/lxqt/lxqt-runner
-Rules-Requires-Root: no
 
 Package: lxqt-runner
 Architecture: any
